cd c:\regression

use example_chapter6

*descriptive statistics 

summarize flabor gdp fertility, detail



*making squared variable 

generate gdp_squared = gdp^2

*correlation among X's

corr gdp gdp_squared fertility

*Multiple regression with squared variable (Y = flabor, X = gdp, gdp_squared, fertility)

regress flabor gdp gdp_squared fertility


*Partial model without GDP per capita and squared GDP per capita (Y = flabor, X = fertility)

regress flabor fertility 

*making centered gdp and squared centered gdp

generate gdp_center = gdp - 24.2241 

generate gdp_center_squared = gdp_center^2

* Multiple regression with centered GDP per capita and centered GDP per capita squared (Y = flabor, X = GDP_center, GDP_center_squared, fertility)

regress flabor gdp_center gdp_center_squared fertility

*Correlation between centered GDP and centered GDP squared

corr gdp_center gdp_center_squared
